View Issue Details

IDProjectCategoryView StatusLast Update
13488Bug reports[All Projects] Accessibilitypublic2018-03-28 12:14
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.5.x 
Summary13488: Not able to save without javascript
Description

Without javascript : no button are shown for saving

Steps To Reproduce

Launch any survey allowing save without javascript

Additional Information

I totally fix that one year ago, why removing it … again …

And some participant work it totally rigid part for “security” by windows admin guy …

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-03-16 08:21

developer  

DenisChenu

DenisChenu

2018-03-16 17:25

developer   ~47100

https://github.com/LimeSurvey/LimeSurvey/pull/1017 i merge it monday

user70560

2018-03-27 17:23

  ~47239

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26872

c_schmitz

c_schmitz

2018-03-28 12:14

administrator   ~47245

Version 3.6.0 released

Related Changesets

LimeSurvey: master 1627939f

2018-03-27 17:23:48

user70560


Committer: GitHub Details Diff
Fixed issue 13488: Not able to save or clear without javascript (#1017)

Fixed issue 13492: Index usage without javascript
Dev: Added twig view, if user update navigator in his template : no way to add it
Dev: issue with flatEllipsizeText function usage in twig : bug reported
Affected Issues
13488, 13492
mod - application/models/TemplateConfig.php Diff File
add - themes/survey/vanilla/views/subviews/navigation/clearall_buttons.twig Diff File
mod - themes/survey/vanilla/views/subviews/navigation/navigator.twig Diff File
add - themes/survey/vanilla/views/subviews/navigation/navigator_complement.twig Diff File
add - themes/survey/vanilla/views/subviews/navigation/question_index_buttons.twig Diff File
add - themes/survey/vanilla/views/subviews/navigation/question_index_groups_buttons.twig Diff File
add - themes/survey/vanilla/views/subviews/navigation/question_index_questions_buttons.twig Diff File
add - themes/survey/vanilla/views/subviews/navigation/save_buttons.twig Diff File

Issue History

Date Modified Username Field Change
2018-03-16 08:21 DenisChenu New Issue
2018-03-16 08:21 DenisChenu File Added: Capture du 2018-03-16 08-19-23.png
2018-03-16 16:59 DenisChenu Assigned To => DenisChenu
2018-03-16 16:59 DenisChenu Status new => assigned
2018-03-16 17:25 DenisChenu Note Added: 47100
2018-03-27 17:23 user70560 Changeset attached => LimeSurvey master 1627939f
2018-03-27 17:23 user70560 Note Added: 47239
2018-03-27 17:23 user70560 Assigned To DenisChenu => user70560
2018-03-27 17:23 user70560 Resolution open => fixed
2018-03-27 18:27 DenisChenu Assigned To user70560 => DenisChenu
2018-03-27 18:27 DenisChenu Status assigned => resolved
2018-03-27 18:27 DenisChenu Fixed in Version => 3.5.x
2018-03-28 12:14 c_schmitz Note Added: 47245
2018-03-28 12:14 c_schmitz Status resolved => closed